## nasm 2.15.04

=== debian/changelog ===
nasm (2.15.04-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for nasm-2.15.04
  * d/control: Update Jordan's email address
  * d/control: Use debhelper-compat and bump to 13

 -- Jordan Justen <jljusten@debian.org>  Fri, 21 Aug 2020 10:51:35 -0700

nasm (2.15.02-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.5.0.2
  * d/rules: run ./autogen.sh to avoid autoreconf error with messages like the
    one below:
    configure.ac:1: error: possibly undefined macro: dnl

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Jul 2020 17:10:10 -0500

## nasm 2.15.05

=== test/Makefile ===
.SUFFIXES: .bin .o .o64 .aout .obj .obj64 .exe .asm .lst .pl

NASMDEP = ../nasm
NASM	= ../nasm
LISTOPT = -L+
NASMOPT = -Ox -I../misc $(LISTOPT) $(OPT)
PERL	= perl
TESTS	= $(wildcard *.asm)
RM_F	= rm -f
RM_RF	= rm -rf

$(NASM):
	$(MAKE) -C ..

%.bin: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f bin -o $@ -MD $@.dep -l $@.lst $<

%.ith: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f ith -o $@ -MD $@.dep -l $@.lst $<

%.srec: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f srec -o $@ -MD $@.dep -l $@.lst $<

%.o: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf32 -gdwarf -o $@ -MD $@.dep -l $@.lst $<

%.ox: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elfx32 -gdwarf -o $@ -MD $@.dep -l $@.lst $<

%.o64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf64 -gdwarf -o $@ -MD $@.dep -l $@.lst $<

%.aout: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f aout -o $@ -MD $@.dep -l $@.lst $<

%.obj: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f obj -gborland -o $@ -MD $@.dep -l $@.lst $<

%.rdf: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f rdf -o $@ -MD $@.dep -l $@.lst $<

%.od: %.obj ../misc/omfdump
	../misc/omfdump $< > $@

%.coff: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f coff -o $@ -MD $@.dep -l $@.lst $<

%.win32: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f win32 -gcv8 -o $@ -MD $@.dep -l $@.lst $<

%.win64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f win64 -gcv8 -o $@ -MD $@.dep -l $@.lst $<

%.mo32: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f macho32 -gdwarf -o $@ -MD $@.dep -l $@.lst $<

%.mo64: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f macho64 -gdwarf -o $@ -MD $@.dep -l $@.lst $<

%.dbg: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f dbg -gdebug -o $@ -MD $@.dep -l $@.lst $<

%.asm: %.pl
	$(PERL) $< > $@

%.i: %.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -E -o $@ -MD $@.dep $<

all:

golden: performtest.pl $(TESTS)
	$(PERL) performtest.pl --golden --nasm='$(NASM)' $(TESTS)

test:	performtest.pl $(NASMDEP) $(TESTS)
	$(PERL) performtest.pl --nasm='$(NASM)' $(TESTS)

diff:	performtest.pl $(NASMDEP) $(TESTS)
	$(PERL) performtest.pl --diff --nasm='$(NASM)' $(TESTS)

clean:
	$(RM_F) *.com *.o *.o64 *.aout *.obj *.win32 *.win64 *.exe *.lst *.bin
	$(RM_F) *.dbg *.coff *.ith *.srec *.mo32 *.mo64 *.i *.dep *.rdf
	$(RM_RF) testresults
	$(RM_F) elftest elftest64

spotless: clean
	$(RM_RF) golden

#
# Test for ELF32 shared libraries; assumes an x86 Linux system
#
elfso.o: elfso.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf32 -F stabs -o $@ -MD $@.dep -l $@.lst $<

elfso.so: elfso.o
	$(LD) -m elf_i386 -shared -o $@ -MD $@.dep $<

elftest: elftest.c elfso.so
	$(CC) -g -m32 -o $@ -MD $@.dep $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest

#
# Test for ELF64 shared libraries; assumes an x86-64 Linux system
#
elf64so.o: elf64so.asm $(NASMDEP)
	$(NASM) $(NASMOPT) -f elf64 -F dwarf -o $@ -MD $@.dep -l $@.lst $<

elf64so.so: elf64so.o
	$(LD) -shared -o $@ -MD $@.dep $<

elftest64: elftest64.c elf64so.so
	$(CC) -g -o $@ -MD $@.dep $^
	-env LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH ./elftest64

=== debian/changelog ===
nasm (2.15.05-1) unstable; urgency=medium

  * New upstream release (Closes: #969011)
  * d/patches: Rebase patches for 2.15.05
  * d/nasm.lintian-overrides: Override error for test source files
  * d/nasm.lintian-overrides: Override error for pre-built test binaries

 -- Jordan Justen <jljusten@debian.org>  Wed, 23 Sep 2020 12:08:16 -0700

=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders:
 Jordan Justen <jljusten@debian.org>,
Standards-Version: 4.5.0.2
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1~),
 fonts-liberation2,
 fontconfig,
 ghostscript,
 libfont-ttf-perl,
 libsort-versions-perl,
 texinfo,
Homepage: http://www.nasm.us/
Vcs-Git: https://salsa.debian.org/debian/nasm.git
Vcs-Browser: https://salsa.debian.org/debian/nasm

Package: nasm
Architecture: any
Depends:
 dpkg (>= 1.15.4) | install-info,
 ${misc:Depends},
 ${shlibs:Depends},
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the GNU Lesser General Public License (LGPL).

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

# empty override, fills example directory with lots of files
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- install_rdf

=== debian/watch ===
version=3
https://www.nasm.us/pub/nasm/releasebuilds/([\d\.]+)/nasm-([\d\.]+).tar.xz

## nasm 2.16.01

=== debian/changelog ===
nasm (2.16.01-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Apr 2023 15:24:00 -0700

nasm (2.16.01-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 2.16.01
  * d/rules: No longer use install_rdf
  * d/control: Update Standards-Version to 4.6.1.0
  * d/source/lintian-overrides: Update override format for current lintian
  * d/watch: Set version to 4

 -- Jordan Justen <jljusten@debian.org>  Fri, 30 Dec 2022 13:55:58 -0800

=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Jordan Justen <jljusten@debian.org>
Standards-Version: 4.6.1.0
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               fontconfig,
               fonts-liberation2,
               ghostscript,
               libfont-ttf-perl,
               libsort-versions-perl,
               texinfo
Homepage: http://www.nasm.us/
Vcs-Git: https://salsa.debian.org/debian/nasm.git
Vcs-Browser: https://salsa.debian.org/debian/nasm

Package: nasm
Architecture: any
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}, ${shlibs:Depends}
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the GNU Lesser General Public License (LGPL).

## nasm 2.16.03

=== debian/changelog ===
nasm (2.16.03-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update Standards-Version to 4.7.0
  * debian/*: Run wrap-and-sort
  * d/control: Set Jordan as Maintainer, Aníbal as Uploader
  * d/control: Update license in package description. (Closes: #942616)
  * d/control: Drop dpkg, install-info dependencies. (Closes: #1013828)
  * d/source/lintian-overrides: Drop lintian override no longer being flagged

 -- Jordan Justen <jljusten@debian.org>  Fri, 09 Aug 2024 02:03:16 -0700

=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Jordan Justen <jljusten@debian.org>
Uploaders: Aníbal Monsalve Salazar <anibal@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               fontconfig,
               fonts-liberation2,
               ghostscript,
               libfont-ttf-perl,
               libsort-versions-perl,
               texinfo
Homepage: http://www.nasm.us/
Vcs-Git: https://salsa.debian.org/debian/nasm.git
Vcs-Browser: https://salsa.debian.org/debian/nasm

Package: nasm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the 2-clause BSD license.

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,3 @@
 
 # empty override, fills example directory with lots of files
 override_dh_auto_test:
-
-override_dh_auto_install:
-	dh_auto_install -- install_rdf

## nasm 3.01

=== debian/changelog ===
nasm (3.01-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream release
  * d/patches: Rebase on nasm-3.01
  * d/patches: Add patch to fix doc build
  * d/copyright: Add zlib license for bundled zlib
  * d/copyright: Update formatting of package copyright file
  * d/control: Drop font packages
  * d/control: Standards-Version: 4.7.0 => 4.7.2

  [ Helmut Grohne ]
  * Mark nasm Multi-Arch: foreign. (Closes: #1058695)
  * debian: Don't build documentation. Not shipped anymore. (Closes: #870152)

 -- Jordan Justen <jljusten@debian.org>  Thu, 16 Oct 2025 16:18:27 -0700

=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Jordan Justen <jljusten@debian.org>
Uploaders: Aníbal Monsalve Salazar <anibal@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13)
Homepage: https://www.nasm.us/
Vcs-Git: https://salsa.debian.org/debian/nasm.git
Vcs-Browser: https://salsa.debian.org/debian/nasm

Package: nasm
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the 2-clause BSD license.

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,5 @@
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
-override_dh_auto_build:
-	dh_auto_build
-	$(MAKE) doc
-
 # empty override, fills example directory with lots of files
 override_dh_auto_test:

=== debian/watch ===
version=4
https://www.nasm.us/pub/nasm/releasebuilds/([\d\.]+)/nasm-([\d\.]+).tar.xz
